package zephyr.android.gnews.app;

import zephyr.services.gnews.Preferences;
import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;
import android.widget.TextView;
import android.widget.AutoCompleteTextView;
import android.widget.Toast;

public class MainActivity extends Activity implements OnClickListener {    
	public static final String PREFS_NAME = "NewsReaderPrefsFile";
	
	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        //setContentView(R.layout.main);
        //findViewById(R.id.btnRun).setOnClickListener(this);
        
        
        SharedPreferences settings=getSharedPreferences(PREFS_NAME, 0);
        
        //SharedPreferences.Editor editor=settings.edit();    	
    	//editor.clear();
    	//editor.commit();
        
        boolean firstTime=settings.getBoolean("firstTimeInvoke", true);
        
        if(firstTime){
        	setContentView(R.layout.set_location);
        	findViewById(R.id.btnSave).setOnClickListener(this);
        	AutoCompleteTextView txtGeo=(AutoCompleteTextView)findViewById(R.id.txtCity);
        	String[] locs=getResources().getStringArray(R.array.geo_suggestions);
        	txtGeo.setAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_dropdown_item_1line, locs));
        	
        	//unset firsttime invoke
        	SharedPreferences.Editor editor=settings.edit();        	
        	editor.putBoolean("firstTimeInvoke", false);
        	editor.commit();
        }
        else {        
			startActivity(new Intent(getApplicationContext(), NewsListActivity.class));			
        }
    }

	@Override
	public void onClick(View v) {
		// TODO Auto-generated method stub
		switch(v.getId()){
			case R.id.btnSave:
				TextView txtLoc=(TextView)findViewById(R.id.txtCity);
				SharedPreferences settings=getSharedPreferences(PREFS_NAME, 0);
				SharedPreferences.Editor editor=settings.edit();
	        	editor.putString("geo", txtLoc.getText().toString());
	        	editor.putString("mode", "general");
	        	editor.commit();
	        	Toast.makeText(getApplicationContext(), "Settings saved", Toast.LENGTH_SHORT);
	        	
	        	Preferences.geo=txtLoc.getText().toString();
	        	Preferences.mode="general";
	        	startActivity(new Intent(getApplicationContext(), NewsListActivity.class));	        	
	        	break;
			default:
				startActivity(new Intent(getApplicationContext(), NewsListActivity.class));
		}
	}
}