package zephyr.android.gnews.app;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;
import zephyr.services.gnews.*;

public class NewsAdapter extends BaseAdapter{

	private PMAndroidNewsList newsList;
	private final LayoutInflater layoutInflater;
	
	public NewsAdapter(Context context, PMAndroidNewsList nl){
		this.newsList=nl;
		this.layoutInflater=LayoutInflater.from(context);
	}
	
	@Override
	public int getCount() {
		// TODO Auto-generated method stub
		return this.newsList.getPageNews().size();
	}

	@Override
	public NewsItem getItem(int position) {
		// TODO Auto-generated method stub
		return this.newsList.getNewsAt(position);
	}

	@Override
	public long getItemId(int pos) {
		// TODO Auto-generated method stub
		return pos;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		// TODO Auto-generated method stub
		if (convertView == null) {
			convertView = layoutInflater.inflate(R.layout.news_list_item, parent, false);
		}

		NewsItem result = getItem(position);
		if (result != null) {
			TextView t = (TextView) convertView.findViewById(R.id.txtNewsTitle);
			t.setText(removeMarkup(result.getTitleNoFormatting()));
			
			t = (TextView) convertView.findViewById(R.id.txtContent);
			t.setText(removeMarkup(result.getContent()));
			
			t = (TextView) convertView.findViewById(R.id.txtPublished);
			t.setText(removeMarkup(result.getPublishedDate().toLocaleString()));
		}
		return convertView;
	}
	
	private String removeMarkup(String s) {
		return s.replace("<b>", "").replace("</b>", "");
	}

}
