package zephyr.services.gnews;

import java.util.List;

public class ServiceResponse {
	private List<NewsItem> newsList;
	private long estimatedResultsCount;
	private int itemsPerPage;
	private int pageNo;
	private String errorDetails="";
	private String responseStatus="OK";
	
	public ServiceResponse(List<NewsItem> lst, long estimatedResultsCount, int itemsPerPage, int pageNo){
		this.newsList=lst;
		this.estimatedResultsCount=estimatedResultsCount;
		this.itemsPerPage=itemsPerPage;
		this.pageNo=pageNo;
	}	

	public List<NewsItem> getNewsList() {return this.newsList; }
	public long getEstimatedResultsCount() {return this.estimatedResultsCount; }	
	public int getPageNo() { return this.pageNo; }
	public int getNoOfPages() { 
		if(itemsPerPage>0){			
			return (int)this.estimatedResultsCount/this.itemsPerPage;
		}
			
		else 
			return 0;
	}
	
	public void setErrorDetails(String errorDetails) { this.errorDetails=errorDetails; }
	public String getErrorDetails() { return this.errorDetails; }
	public void setResponseStatus(String responseStatus) { this.responseStatus=responseStatus; }
	public String getResponseStatus() { return this.responseStatus; }
}
